SmartMemory
GET
/memory/ontology/relations

List ontology relation types, keyset-paginated. Mirror of GET /ontology/types.

Query Parameters

tier?|

Filter by tier (working/proposed/confirmed/retired).

layer?|

Filter by layer (public/domain/private).

pack_id?|

Filter by originating pack id.

has_iri?|

Only relations with (or without) an IRI.

limit?Limit

Page size (clamped to [1, 500]).

cursor?|

Opaque keyset continuation token from a prior page.

Response Body

application/json

application/json

curl -X GET "https://example.com/memory/ontology/relations"
{
  "items": [
    {
      "name": "string",
      "iri": "string",
      "wikidata_pid": "string",
      "display_name": "string",
      "definition": "string",
      "description": "string",
      "aliases": [
        "string"
      ],
      "examples": [
        "string"
      ],
      "domain": [
        "string"
      ],
      "range": [
        "string"
      ],
      "inverse_of": "string",
      "cardinality": "string",
      "temporal": false,
      "properties_schema": {},
      "transitive": false,
      "symmetric": false,
      "reflexive": false,
      "parent_relations": [
        "string"
      ],
      "equivalent_relations": [
        "string"
      ],
      "tier": "string",
      "trust_origin": "string",
      "layer": "string",
      "pack_id": "string",
      "pack_version": "string",
      "workspace_id": "string",
      "source": "string",
      "confidence": 0,
      "frequency": 0
    }
  ],
  "next_cursor": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}